# CheckScanningResult class

The result of check scanning.

## Constructors

CheckScanningResult.new({CheckMagneticInkStripScanningStatus status = CheckMagneticInkStripScanningStatus.ERROR_NOTHING_FOUND, required GenericDocument? check, required DocumentDetectionResult? documentDetectionResult, ImageRef? croppedImage})
CheckScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

check → GenericDocument?
  Generic document containing check data. Not present, if status is FAIL.
  final
croppedImage → ImageRef?
  Crop of the check if documentDetectionMode is set to DETECT_AND_CROP_DOCUMENT. Will be non-empty, only if check recognition succeeded.
  final
documentDetectionResult → DocumentDetectionResult?
  The result of document detection. Will be set only if detectDocument in the configuration is set to true. Check scanning may still succeed even if the whole document is not visible in the input image and the complete document could not be located.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status → CheckMagneticInkStripScanningStatus
  Magnetic ink strip scanning status.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited